Une liste d'exécutions de workflow













Exécutions des workflows
API Workflows - runs.












Exemples
Exemples réels de code
Lister les exécutions
GET /v1/workflows/runs#
Lister les exécutions
200
Réponse réussie
next_page_token#
Jeton à utiliser pour récupérer la page suivante de résultats. Null si c'est la dernière page.
Playground
Testez les endpoints en direct
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.listRuns({});
for await (const page of result) {
console.log(page);
}
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.listRuns({});
for await (const page of result) {
console.log(page);
}
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.list_runs(order="desc", include_internal=True, page_size=50)
while res is not None:
# Handle items
res = res.next()
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.list_runs(order="desc", include_internal=True, page_size=50)
while res is not None:
# Handle items
res = res.next()
curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"executions": [
{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}
]
}{
"executions": [
{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}
]
}Obtenir une exécution
GET /v1/workflows/runs/{run_id}#
Obtenir une exécution
200
Réponse réussie
deployment_name#
Nom du déploiement ayant exécuté cette exécution.
L'heure de fin de l'exécution du workflow, si disponible
parent_execution_id#
L'ID d'exécution parent de l'exécution du workflow
Le résultat de l'exécution du workflow, si disponible
status#
Le statut de l'exécution du workflow
total_duration_ms#
La durée totale de la trace en millisecondes
workflow_id#
ID du workflow.
Playground
Testez les endpoints en direct
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRun({
runId: "553b071e-3d04-46aa-aa9a-0fca61dc60fa",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRun({
runId: "553b071e-3d04-46aa-aa9a-0fca61dc60fa",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run(run_id="553b071e-3d04-46aa-aa9a-0fca61dc60fa")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run(run_id="553b071e-3d04-46aa-aa9a-0fca61dc60fa")
# Handle response
print(res)
curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"result": null,
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"result": null,
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}Obtenir l'historique d'une exécution
GET /v1/workflows/runs/{run_id}/history#
Obtenir l’historique d’une exécution
200
Response Type
any
Réponse réussie
Playground
Testez les endpoints en direct
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRunHistory({
runId: "f7296489-0212-4239-9e35-12fabfe8cd11",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRunHistory({
runId: "f7296489-0212-4239-9e35-12fabfe8cd11",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run_history(run_id="f7296489-0212-4239-9e35-12fabfe8cd11", decode_payloads=True)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run_history(run_id="f7296489-0212-4239-9e35-12fabfe8cd11", decode_payloads=True)
# Handle response
print(res)
curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnull